%define libname_devel %mklibname -d gnu-efi

Summary: Development Libraries and headers for EFI
Name: gnu-efi
Version: 3.0.15
Release: %mkrel 1
Group: Development/Other
License: BSD 
URL: https://gnu-efi.sourceforge.net/
Source: https://downloads.sourceforge.net/project/gnu-efi/gnu-efi-%{version}.tar.bz2
ExclusiveArch: %{efi}
BuildRequires: efi-srpm-macros >= 5-3

%define debug_package %{nil}

%description
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%package -n %{libname_devel}
Summary: Development Libraries and headers for EFI
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel < 3.0q-3

%description -n %{libname_devel}
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%prep
%setup -q -n gnu-efi-%{version}
%autopatch -p1

%build
export LDFLAGS="--no-warn-rwx-segments"
# Package cannot build with %%{?_smp_mflags}.
make
make apps

%install
mkdir -p %{buildroot}/%{_libdir}

make PREFIX=%{_prefix} LIBDIR=%{_libdir} INSTALLROOT=%{buildroot} install

mkdir -p %{buildroot}/%{_libdir}/gnuefi
mv %{buildroot}/%{_libdir}/*.lds %{buildroot}/%{_libdir}/*.o %{buildroot}/%{_libdir}/gnuefi

# (cg) We differ from Fedora in that we only install to known locations and copy
# to the EFI partition when needed - packaging stays away from /boot/
mkdir -p %{buildroot}%{_libdir}/gnuefi/images
mv */apps/{route80h.efi,modelist.efi} %{buildroot}%{_libdir}/gnuefi/images

%files -n %{libname_devel}
%doc README.* ChangeLog
%{_includedir}/efi
%{_libdir}/*



%changelog
* Tue Dec 27 2022 pterjan <pterjan> 3.0.15-1.mga9
+ Revision: 1927268
- Try to fix build with recent binutils on non x86
- Update to 3.0.15
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ tv <tv>
- BR efi-srpm-macros

* Thu May 13 2021 tv <tv> 3.0.13-1.mga9
+ Revision: 1722715
- %%{efi} is now defined, let's build on armv7
- 3.0.13

* Sat Sep 05 2020 pterjan <pterjan> 3.0.12-1.mga8
+ Revision: 1622778
- Update to 3.0.12

* Fri Feb 14 2020 umeabot <umeabot> 3.0.6-2.mga8
+ Revision: 1519449
- Mageia 8 Mass Rebuild

* Mon Oct 15 2018 pterjan <pterjan> 3.0.6-1.mga7
+ Revision: 1320643
- Add upstream patch fixing build on i586
- Update to 3.0.6 (which contains fixes for new gcc)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ tv <tv>
- new release
- drop merged patches

* Tue May 10 2016 tv <tv> 3.0.3-1.mga6
+ Revision: 1012151
- new release

* Thu Jan 28 2016 umeabot <umeabot> 3.0w-3.mga6
+ Revision: 928492
- Mageia 6 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0w-2.mga5
+ Revision: 679803
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 pterjan <pterjan> 3.0w-1.mga5
+ Revision: 670790
- 3.0w
- add Fedora patch fixing build

* Sun Oct 27 2013 pterjan <pterjan> 3.0u-2.mga4
+ Revision: 547349
- Rebuild as it passed through mass rebuild

* Sun Aug 11 2013 pterjan <pterjan> 3.0u-1.mga4
+ Revision: 465574
- Update to 3.0u
- Update URL/Source to sourceforge
- Drop all patches (already upstream)
+ colin <colin>
- Use Mageia library policy for devel package
- Add various patches from fedora
- Add new EFI binaries (not directly installed to ESP)

* Sat Jan 12 2013 umeabot <umeabot> 3.0q-2.mga3
+ Revision: 352329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 pterjan <pterjan> 3.0q-1.mga3
+ Revision: 329941
- imported package gnu-efi

